/* Create Shisen for Java Program Object */
/* (c) 2003 Uwe aus dem Mooregram Object */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

cls
say ""
say "*******************************************************************************"
say "****************************** Shisen for Java ********************************"
say "*******************************************************************************"
say ""
say "This program checks the installed Java version and creates a program object."

/* Get the highest installed Java Version */

j13=0
j131=0
j14=0
j14sdk=0
javapath=0

/* Check Java 13 */

j13 = SysIni(,'Java13','USER_HOME')

/* Check Java 131 */

j131 = SysIni(,'Java131','USER_HOME')

/* Check Java 14 */

version = SysIni(,'OS2 Kit for Java','CurrentVersion')
j14 = SysIni(,'OS2 Kit for Java',version)

/* Check Java 14 SDK */

version = SysIni(,'OS2 Kit for Java SDK','CurrentVersion')
j14sdk = SysIni(,'OS2 Kit for Java SDK',version);

if j13 \= "ERROR:" then javapath = j13
if j131 \= "ERROR:" then javapath = j131
if j14 \= "ERROR:" then javapath = j14
if j14sdk \= "ERROR:" then javapath = j14sdk

if javapath = 0 then do
 say ""
 say "There is no suitable Java version installed. Pleas visit www.admoore.de to see"
 say "where you can get it! Press any key to exit!"
 SysGetKey()
 exit
end
else do
 say ""
 say "The Java version found in "javapath" will be used."
end /* do */

javapath = Strip(javapath,,D2C(00))
curdir = directory()

title = "Shisen for Java"
classname = 'WPProgram'
location = '<WP_DESKTOP>'
Prog = javapath||'\bin\javaw.exe'
Icon = curdir||'\jsos2.ico'
ID = '<jShisen>'
parms = '-jar 'curdir||'\jShisen.jar'

setup = 'OBJECTID='ID';EXENAME='Prog';STARTUPDIR='curdir';ICONFILE=',
        Icon';PARAMETERS='parms';MINIMIZED=YES;MINWIN=HIDE'
rc=SysCreateObject(classname,title,location,setup,replace)

say ""
say "Press any key to exit!"
SysGetKey()
exit

